<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<link rel="stylesheet" href="assets/css/home.css">
	<title>FreeFire | Home</title>
	<script src="https://code.createjs.com/1.0.0/createjs.min.js"></script>
<script src="assets/js/index.js"></script>
<script>
var canvas, stage, exportRoot, anim_container, dom_overlay_container, fnStartAnimation;
function init() {
	canvas = document.getElementById("canvas");
	anim_container = document.getElementById("animation_container");
	dom_overlay_container = document.getElementById("dom_overlay_container");
	var comp=AdobeAn.getComposition("4E11A622958E4DABB988E0CB4AD5DC1D");
	var lib=comp.getLibrary();
	var loader = new createjs.LoadQueue(false);
	loader.addEventListener("fileload", function(evt){handleFileLoad(evt,comp)});
	loader.addEventListener("complete", function(evt){handleComplete(evt,comp)});
	var lib=comp.getLibrary();
	loader.loadManifest(lib.properties.manifest);
}
function handleFileLoad(evt, comp) {
	var images=comp.getImages();	
	if (evt && (evt.item.type == "image")) { images[evt.item.id] = evt.result; }	
}
function handleComplete(evt,comp) {
	//This function is always called, irrespective of the content. You can use the variable "stage" after it is created in token create_stage.
	var lib=comp.getLibrary();
	var ss=comp.getSpriteSheet();
	var queue = evt.target;
	var ssMetadata = lib.ssMetadata;
	for(i=0; i<ssMetadata.length; i++) {
		ss[ssMetadata[i].name] = new createjs.SpriteSheet( {"images": [queue.getResult(ssMetadata[i].name)], "frames": ssMetadata[i].frames} )
	}
	exportRoot = new lib.animacion_nieve();
	stage = new lib.Stage(canvas);	
	//Registers the "tick" event listener.
	fnStartAnimation = function() {
		stage.addChild(exportRoot);
		createjs.Ticker.framerate = lib.properties.fps;
		createjs.Ticker.addEventListener("tick", stage);
	}	    
	//Code to support hidpi screens and responsive scaling.
	AdobeAn.makeResponsive(false,'both',false,1,[canvas,anim_container,dom_overlay_container]);	
	AdobeAn.compositionLoaded(lib.properties.id);
	fnStartAnimation();
}
</script>
<script>
	
</script>
</head>
<body onload="init();" style="margin:0px;">
	<div class="animation" id="animation_container" style="background-color:rgba(255, 255, 255, 1.00); width:850px; height:478px">
		<canvas id="canvas" width="850" height="478" style="position: absolute; display: block; background-color:rgba(255, 255, 255, 1.00);"></canvas>
		<div id="dom_overlay_container" style="pointer-events:none; overflow:hidden; width:850px; height:478px; position: absolute; left: 0px; top: 0px; display: block;">
		</div>
	</div>
	<div class="contenedor">
		<div class="bienvenida">
			<div class="logo">
				<img src="assets/images/backgrounds/logo-FF.png" alt="">
			</div>
			<div class="start_button">
				<p class="start">INICIAR</p>
			</div>
		</div>
		<div class="acceso">
			<div class="a_logo">
				<img src="assets/images/backgrounds/logo-FF.png" alt="">
			</div>
			<form action="">
				<input type="text" placeholder="Usuario Free Fire">
				<button>INICIA SESIÓN</button>
			</form>
		</div>
	</div>
	<div class="cambiar">
		<div class="textos">
			<img src="assets/images/icons/turn-device.svg" alt="">
			<h2>Gira tu dispositivo para visualizar el sitio</h2>
		</div>
	</div>
	<!-- <script src="assets/js/jquery-3.0.0.min.js"></script> -->
	<script src="assets/js/jquery.js"></script>
	<script src="assets/js/jquery.mobile-1.4.3.min.js"></script>
	<script src="assets/js/orientacion.js"></script>
	<script src="assets/js/base.js"></script>
</body>
</html>